# Makefile.in generated by automake 1.7.3 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/construo
pkglibdir = $(libdir)/construo
pkgincludedir = $(includedir)/construo
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /home/devel/Pandora/construo/construo-0.2.2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/devel/Pandora/construo/construo-0.2.2/missing --run tar
AUTOCONF = ${SHELL} /home/devel/Pandora/construo/construo-0.2.2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/devel/Pandora/construo/construo-0.2.2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/devel/Pandora/construo/construo-0.2.2/missing --run automake-1.7
AWK = mawk
CC = /usr/local/angstrom/arm/bin/arm-angstrom-linux-gnueabi-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -DPANDORA -DHAVE_GLES -O3 -pipe -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ftree-vectorize -ffast-math -fsingle-precision-constant -fsigned-char
CPP = /usr/local/angstrom/arm/bin/arm-angstrom-linux-gnueabi-gcc -E
CPPFLAGS = -DPANDORA -DHAVE_GLES -O3 -pipe -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ftree-vectorize -ffast-math -fsingle-precision-constant -fsigned-char
CXX = /usr/local/angstrom/arm/bin/arm-angstrom-linux-gnueabi-g++
CXXCPP = /usr/local/angstrom/arm/bin/arm-angstrom-linux-gnueabi-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -DPANDORA -DHAVE_GLES -O3 -pipe -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ftree-vectorize -ffast-math -fsingle-precision-constant -fsigned-char -I/mnt/utmp/clonk/include -I/mnt/utmp/constructo/include -I/mnt/utmp/construo/include
CYGPATH_W = echo
ConstruoTargets =  construo.x11
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/usr/local/angstrom/arm/arm-angstrom-linux-gnueabi/usr/lib -Wl,-rpath,/usr/local/angstrom/arm/arm-angstrom-linux-gnueabi/usr/lib -L/mnt/utmp/clonk/lib -L/mnt/utmp/constructo/lib -L/mnt/utmp/construo/lib
LIBOBJS = 
LIBS = -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/devel/Pandora/construo/construo-0.2.2/missing --run makeinfo
OBJEXT = o
PACKAGE = construo
PACKAGE_BUGREPORT = 
PACKAGE_NAME = construo
PACKAGE_STRING = construo 0.2.2
PACKAGE_TARNAME = construo
PACKAGE_VERSION = 0.2.2
PATH_SEPARATOR = :
RANLIB = /usr/local/angstrom/arm/bin/arm-angstrom-linux-gnueabi-ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = /usr/local/angstrom/arm/bin/arm-angstrom-linux-gnueabi-strip
VERSION = 0.2.2
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS = 
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 

bindir = $(prefix)/games
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
freeglut_LIBS = 
glut_LIBS = 
host_alias = arm-angstrom-linux-gnueabi
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/devel/Pandora/construo/construo-0.2.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /mnt/utmp/construo
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
x11_CXXFLAGS = -DPANDORA -DHAVE_GLES -O3 -pipe -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ftree-vectorize -ffast-math -fsingle-precision-constant -fsigned-char -I/mnt/utmp/clonk/include -I/mnt/utmp/constructo/include -I/mnt/utmp/construo/include 
x11_LIBS =    -lSM -lICE  -lX11 -lXext -lXxf86vm

SUBDIRS = examples

bin_PROGRAMS =  construo.x11

EXTRA_PROGRAMS = construo.x11 construo.glut construo.freeglut

noinst_LIBRARIES = libconstruo.a

libconstruo_a_SOURCES = \
bounding_box.cxx \
bounding_box.hxx \
buttons.hxx \
collider.hxx \
color.hxx \
colors.cxx \
colors.hxx \
command_line.cxx \
command_line.hxx \
config.cxx \
config.hxx \
construo.cxx \
construo.hxx \
construo_error.hxx \
controller.cxx \
controller.hxx \
cursor_collider.xbm \
cursor_collider_mask.xbm \
cursor_insert.xbm \
cursor_insert_mask.xbm \
cursor_scroll.xbm \
cursor_scroll_mask.xbm \
cursor_select.xbm \
cursor_select_mask.xbm \
cursor_zoom.xbm \
cursor_zoom_mask.xbm \
cursors.hxx \
delta_manager.hxx \
events.hxx \
force_emitter.hxx \
globals.cxx \
globals.hxx \
graphic_context.hxx \
gui_buttons.cxx \
gui_buttons.hxx \
gui_child_manager.cxx \
gui_child_manager.hxx \
gui_component.cxx \
gui_component.hxx \
gui_directory.cxx \
gui_directory.hxx \
gui_directory_button.cxx \
gui_directory_button.hxx \
gui_file_button.cxx \
gui_file_button.hxx \
gui_file_manager.cxx \
gui_file_manager.hxx \
gui_label.cxx \
gui_label.hxx \
gui_manager.cxx \
gui_manager.hxx \
gui_new_file_button.cxx \
gui_new_file_button.hxx \
gui_window.cxx \
gui_window.hxx \
input_context.cxx \
input_context.hxx \
keep_alive.hxx \
keep_alive_mgr.cxx \
keep_alive_mgr.hxx \
keys.hxx \
lisp_reader.cxx \
lisp_reader.hxx \
lisp_writer.cxx \
lisp_writer.hxx \
lispreader.cxx \
lispreader.hxx \
load_gui_manager.cxx \
load_gui_manager.hxx \
math.hxx \
particle.cxx \
particle.hxx \
particle_factory.cxx \
particle_factory.hxx \
path_manager.cxx \
path_manager.hxx \
rect.hxx \
rect_collider.cxx \
rect_collider.hxx \
root_graphic_context.cxx \
root_graphic_context.hxx \
save_gui_manager.cxx \
save_gui_manager.hxx \
screen_manager.cxx \
screen_manager.hxx \
selection.cxx \
selection.hxx \
settings.cxx \
settings.hxx \
spring.cxx \
spring.hxx \
spring_type.hxx \
string_utils.cxx \
string_utils.hxx \
system_context.hxx \
unix_system.cxx \
unix_system.hxx \
vector.cxx \
vector.hxx \
vector2d.hxx \
world.cxx \
world.hxx \
world_button.cxx \
world_button.hxx \
world_gui_manager.cxx \
world_gui_manager.hxx \
worldview_collider_tool.cxx \
worldview_collider_tool.hxx \
worldview_component.cxx \
worldview_component.hxx \
worldview_insert_tool.cxx \
worldview_insert_tool.hxx \
worldview_select_tool.cxx \
worldview_select_tool.hxx \
worldview_tool.cxx \
worldview_tool.hxx \
worldview_zoom_tool.cxx \
worldview_zoom_tool.hxx \
zoom_graphic_context.cxx \
zoom_graphic_context.hxx


construo_x11_SOURCES = construo_main.cxx construo_main.hxx x11_display.hxx x11_display.cxx 
construo_x11_LDADD = libconstruo.a    -lSM -lICE  -lX11 -lXext -lXxf86vm
construo_x11_CXXFLAGS = -DUSE_X11_DISPLAY -DPANDORA -DHAVE_GLES -O3 -pipe -march=armv7-a -mtune=cortex-a8 -mfpu=neon -mfloat-abi=softfp -ftree-vectorize -ffast-math -fsingle-precision-constant -fsigned-char -I/mnt/utmp/clonk/include -I/mnt/utmp/constructo/include -I/mnt/utmp/construo/include 

construo_glut_SOURCES = construo_main.cxx construo_main.hxx glut_display.hxx glut_display.cxx
construo_glut_LDADD = libconstruo.a 
construo_glut_CXXFLAGS = -DUSE_GLUT_DISPLAY -DHAVE_GLUT

construo_freeglut_SOURCES = construo_main.cxx construo_main.hxx glut_display.hxx glut_display.cxx
construo_freeglut_LDADD = libconstruo.a 
construo_freeglut_CXXFLAGS = -DUSE_GLUT_DISPLAY -DHAVE_FREEGLUT

# pkgdatadir = $(datadir)/games/construo
EXTRA_DIST = TODO  INSTALL.configure xml2sexpr.sh compatlib/sstream
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libconstruo_a_AR = $(AR) cru
libconstruo_a_LIBADD =
am_libconstruo_a_OBJECTS = bounding_box.$(OBJEXT) colors.$(OBJEXT) \
	command_line.$(OBJEXT) config.$(OBJEXT) construo.$(OBJEXT) \
	controller.$(OBJEXT) globals.$(OBJEXT) gui_buttons.$(OBJEXT) \
	gui_child_manager.$(OBJEXT) gui_component.$(OBJEXT) \
	gui_directory.$(OBJEXT) gui_directory_button.$(OBJEXT) \
	gui_file_button.$(OBJEXT) gui_file_manager.$(OBJEXT) \
	gui_label.$(OBJEXT) gui_manager.$(OBJEXT) \
	gui_new_file_button.$(OBJEXT) gui_window.$(OBJEXT) \
	input_context.$(OBJEXT) keep_alive_mgr.$(OBJEXT) \
	lisp_reader.$(OBJEXT) lisp_writer.$(OBJEXT) \
	lispreader.$(OBJEXT) load_gui_manager.$(OBJEXT) \
	particle.$(OBJEXT) particle_factory.$(OBJEXT) \
	path_manager.$(OBJEXT) rect_collider.$(OBJEXT) \
	root_graphic_context.$(OBJEXT) save_gui_manager.$(OBJEXT) \
	screen_manager.$(OBJEXT) selection.$(OBJEXT) settings.$(OBJEXT) \
	spring.$(OBJEXT) string_utils.$(OBJEXT) unix_system.$(OBJEXT) \
	vector.$(OBJEXT) world.$(OBJEXT) world_button.$(OBJEXT) \
	world_gui_manager.$(OBJEXT) worldview_collider_tool.$(OBJEXT) \
	worldview_component.$(OBJEXT) worldview_insert_tool.$(OBJEXT) \
	worldview_select_tool.$(OBJEXT) worldview_tool.$(OBJEXT) \
	worldview_zoom_tool.$(OBJEXT) zoom_graphic_context.$(OBJEXT)
libconstruo_a_OBJECTS = $(am_libconstruo_a_OBJECTS)
EXTRA_PROGRAMS = construo.x11$(EXEEXT) construo.glut$(EXEEXT) \
	construo.freeglut$(EXEEXT)
bin_PROGRAMS =  construo.x11
PROGRAMS = $(bin_PROGRAMS)

am_construo_freeglut_OBJECTS = construo_freeglut-construo_main.$(OBJEXT) \
	construo_freeglut-glut_display.$(OBJEXT)
construo_freeglut_OBJECTS = $(am_construo_freeglut_OBJECTS)
construo_freeglut_DEPENDENCIES = libconstruo.a
construo_freeglut_LDFLAGS =
am_construo_glut_OBJECTS = construo_glut-construo_main.$(OBJEXT) \
	construo_glut-glut_display.$(OBJEXT)
construo_glut_OBJECTS = $(am_construo_glut_OBJECTS)
construo_glut_DEPENDENCIES = libconstruo.a
construo_glut_LDFLAGS =
am_construo_x11_OBJECTS = construo_x11-construo_main.$(OBJEXT) \
	construo_x11-x11_display.$(OBJEXT)
construo_x11_OBJECTS = $(am_construo_x11_OBJECTS)
construo_x11_DEPENDENCIES = libconstruo.a
construo_x11_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/bounding_box.Po \
	./$(DEPDIR)/colors.Po ./$(DEPDIR)/command_line.Po \
	./$(DEPDIR)/config.Po ./$(DEPDIR)/construo.Po \
	./$(DEPDIR)/construo_freeglut-construo_main.Po \
	./$(DEPDIR)/construo_freeglut-glut_display.Po \
	./$(DEPDIR)/construo_glut-construo_main.Po \
	./$(DEPDIR)/construo_glut-glut_display.Po \
	./$(DEPDIR)/construo_x11-construo_main.Po \
	./$(DEPDIR)/construo_x11-x11_display.Po \
	./$(DEPDIR)/controller.Po ./$(DEPDIR)/globals.Po \
	./$(DEPDIR)/gui_buttons.Po \
	./$(DEPDIR)/gui_child_manager.Po \
	./$(DEPDIR)/gui_component.Po \
	./$(DEPDIR)/gui_directory.Po \
	./$(DEPDIR)/gui_directory_button.Po \
	./$(DEPDIR)/gui_file_button.Po \
	./$(DEPDIR)/gui_file_manager.Po \
	./$(DEPDIR)/gui_label.Po ./$(DEPDIR)/gui_manager.Po \
	./$(DEPDIR)/gui_new_file_button.Po \
	./$(DEPDIR)/gui_window.Po \
	./$(DEPDIR)/input_context.Po \
	./$(DEPDIR)/keep_alive_mgr.Po \
	./$(DEPDIR)/lisp_reader.Po \
	./$(DEPDIR)/lisp_writer.Po \
	./$(DEPDIR)/lispreader.Po \
	./$(DEPDIR)/load_gui_manager.Po \
	./$(DEPDIR)/particle.Po \
	./$(DEPDIR)/particle_factory.Po \
	./$(DEPDIR)/path_manager.Po \
	./$(DEPDIR)/rect_collider.Po \
	./$(DEPDIR)/root_graphic_context.Po \
	./$(DEPDIR)/save_gui_manager.Po \
	./$(DEPDIR)/screen_manager.Po \
	./$(DEPDIR)/selection.Po ./$(DEPDIR)/settings.Po \
	./$(DEPDIR)/spring.Po ./$(DEPDIR)/string_utils.Po \
	./$(DEPDIR)/unix_system.Po ./$(DEPDIR)/vector.Po \
	./$(DEPDIR)/world.Po ./$(DEPDIR)/world_button.Po \
	./$(DEPDIR)/world_gui_manager.Po \
	./$(DEPDIR)/worldview_collider_tool.Po \
	./$(DEPDIR)/worldview_component.Po \
	./$(DEPDIR)/worldview_insert_tool.Po \
	./$(DEPDIR)/worldview_select_tool.Po \
	./$(DEPDIR)/worldview_tool.Po \
	./$(DEPDIR)/worldview_zoom_tool.Po \
	./$(DEPDIR)/zoom_graphic_context.Po
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libconstruo_a_SOURCES) $(construo_freeglut_SOURCES) \
	$(construo_glut_SOURCES) $(construo_x11_SOURCES)

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
	Makefile.in NEWS TODO acinclude.m4 aclocal.m4 config.h.in \
	configure configure.ac depcomp install-sh missing mkinstalldirs
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(libconstruo_a_SOURCES) $(construo_freeglut_SOURCES) $(construo_glut_SOURCES) $(construo_x11_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .cxx .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac acinclude.m4
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in:  $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1

AR = ar

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libconstruo.a: $(libconstruo_a_OBJECTS) $(libconstruo_a_DEPENDENCIES) 
	-rm -f libconstruo.a
	$(libconstruo_a_AR) libconstruo.a $(libconstruo_a_OBJECTS) $(libconstruo_a_LIBADD)
	$(RANLIB) libconstruo.a
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
construo.freeglut$(EXEEXT): $(construo_freeglut_OBJECTS) $(construo_freeglut_DEPENDENCIES) 
	@rm -f construo.freeglut$(EXEEXT)
	$(CXXLINK) $(construo_freeglut_LDFLAGS) $(construo_freeglut_OBJECTS) $(construo_freeglut_LDADD) $(LIBS)
construo.glut$(EXEEXT): $(construo_glut_OBJECTS) $(construo_glut_DEPENDENCIES) 
	@rm -f construo.glut$(EXEEXT)
	$(CXXLINK) $(construo_glut_LDFLAGS) $(construo_glut_OBJECTS) $(construo_glut_LDADD) $(LIBS)
construo.x11$(EXEEXT): $(construo_x11_OBJECTS) $(construo_x11_DEPENDENCIES) 
	@rm -f construo.x11$(EXEEXT)
	$(CXXLINK) $(construo_x11_LDFLAGS) $(construo_x11_OBJECTS) $(construo_x11_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/bounding_box.Po
include ./$(DEPDIR)/colors.Po
include ./$(DEPDIR)/command_line.Po
include ./$(DEPDIR)/config.Po
include ./$(DEPDIR)/construo.Po
include ./$(DEPDIR)/construo_freeglut-construo_main.Po
include ./$(DEPDIR)/construo_freeglut-glut_display.Po
include ./$(DEPDIR)/construo_glut-construo_main.Po
include ./$(DEPDIR)/construo_glut-glut_display.Po
include ./$(DEPDIR)/construo_x11-construo_main.Po
include ./$(DEPDIR)/construo_x11-x11_display.Po
include ./$(DEPDIR)/controller.Po
include ./$(DEPDIR)/globals.Po
include ./$(DEPDIR)/gui_buttons.Po
include ./$(DEPDIR)/gui_child_manager.Po
include ./$(DEPDIR)/gui_component.Po
include ./$(DEPDIR)/gui_directory.Po
include ./$(DEPDIR)/gui_directory_button.Po
include ./$(DEPDIR)/gui_file_button.Po
include ./$(DEPDIR)/gui_file_manager.Po
include ./$(DEPDIR)/gui_label.Po
include ./$(DEPDIR)/gui_manager.Po
include ./$(DEPDIR)/gui_new_file_button.Po
include ./$(DEPDIR)/gui_window.Po
include ./$(DEPDIR)/input_context.Po
include ./$(DEPDIR)/keep_alive_mgr.Po
include ./$(DEPDIR)/lisp_reader.Po
include ./$(DEPDIR)/lisp_writer.Po
include ./$(DEPDIR)/lispreader.Po
include ./$(DEPDIR)/load_gui_manager.Po
include ./$(DEPDIR)/particle.Po
include ./$(DEPDIR)/particle_factory.Po
include ./$(DEPDIR)/path_manager.Po
include ./$(DEPDIR)/rect_collider.Po
include ./$(DEPDIR)/root_graphic_context.Po
include ./$(DEPDIR)/save_gui_manager.Po
include ./$(DEPDIR)/screen_manager.Po
include ./$(DEPDIR)/selection.Po
include ./$(DEPDIR)/settings.Po
include ./$(DEPDIR)/spring.Po
include ./$(DEPDIR)/string_utils.Po
include ./$(DEPDIR)/unix_system.Po
include ./$(DEPDIR)/vector.Po
include ./$(DEPDIR)/world.Po
include ./$(DEPDIR)/world_button.Po
include ./$(DEPDIR)/world_gui_manager.Po
include ./$(DEPDIR)/worldview_collider_tool.Po
include ./$(DEPDIR)/worldview_component.Po
include ./$(DEPDIR)/worldview_insert_tool.Po
include ./$(DEPDIR)/worldview_select_tool.Po
include ./$(DEPDIR)/worldview_tool.Po
include ./$(DEPDIR)/worldview_zoom_tool.Po
include ./$(DEPDIR)/zoom_graphic_context.Po

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cxx.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cxx.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

construo_freeglut-construo_main.o: construo_main.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-construo_main.o -MD -MP -MF "$(DEPDIR)/construo_freeglut-construo_main.Tpo" \
	  -c -o construo_freeglut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx; \
	then mv "$(DEPDIR)/construo_freeglut-construo_main.Tpo" "$(DEPDIR)/construo_freeglut-construo_main.Po"; \
	else rm -f "$(DEPDIR)/construo_freeglut-construo_main.Tpo"; exit 1; \
	fi
#	source='construo_main.cxx' object='construo_freeglut-construo_main.o' libtool=no \
#	depfile='$(DEPDIR)/construo_freeglut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-construo_main.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx

construo_freeglut-construo_main.obj: construo_main.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-construo_main.obj -MD -MP -MF "$(DEPDIR)/construo_freeglut-construo_main.Tpo" \
	  -c -o construo_freeglut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`; \
	then mv "$(DEPDIR)/construo_freeglut-construo_main.Tpo" "$(DEPDIR)/construo_freeglut-construo_main.Po"; \
	else rm -f "$(DEPDIR)/construo_freeglut-construo_main.Tpo"; exit 1; \
	fi
#	source='construo_main.cxx' object='construo_freeglut-construo_main.obj' libtool=no \
#	depfile='$(DEPDIR)/construo_freeglut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-construo_main.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`

construo_freeglut-glut_display.o: glut_display.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-glut_display.o -MD -MP -MF "$(DEPDIR)/construo_freeglut-glut_display.Tpo" \
	  -c -o construo_freeglut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx; \
	then mv "$(DEPDIR)/construo_freeglut-glut_display.Tpo" "$(DEPDIR)/construo_freeglut-glut_display.Po"; \
	else rm -f "$(DEPDIR)/construo_freeglut-glut_display.Tpo"; exit 1; \
	fi
#	source='glut_display.cxx' object='construo_freeglut-glut_display.o' libtool=no \
#	depfile='$(DEPDIR)/construo_freeglut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-glut_display.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx

construo_freeglut-glut_display.obj: glut_display.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -MT construo_freeglut-glut_display.obj -MD -MP -MF "$(DEPDIR)/construo_freeglut-glut_display.Tpo" \
	  -c -o construo_freeglut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`; \
	then mv "$(DEPDIR)/construo_freeglut-glut_display.Tpo" "$(DEPDIR)/construo_freeglut-glut_display.Po"; \
	else rm -f "$(DEPDIR)/construo_freeglut-glut_display.Tpo"; exit 1; \
	fi
#	source='glut_display.cxx' object='construo_freeglut-glut_display.obj' libtool=no \
#	depfile='$(DEPDIR)/construo_freeglut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_freeglut-glut_display.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_freeglut_CXXFLAGS) $(CXXFLAGS) -c -o construo_freeglut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`

construo_glut-construo_main.o: construo_main.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-construo_main.o -MD -MP -MF "$(DEPDIR)/construo_glut-construo_main.Tpo" \
	  -c -o construo_glut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx; \
	then mv "$(DEPDIR)/construo_glut-construo_main.Tpo" "$(DEPDIR)/construo_glut-construo_main.Po"; \
	else rm -f "$(DEPDIR)/construo_glut-construo_main.Tpo"; exit 1; \
	fi
#	source='construo_main.cxx' object='construo_glut-construo_main.o' libtool=no \
#	depfile='$(DEPDIR)/construo_glut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_glut-construo_main.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx

construo_glut-construo_main.obj: construo_main.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-construo_main.obj -MD -MP -MF "$(DEPDIR)/construo_glut-construo_main.Tpo" \
	  -c -o construo_glut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`; \
	then mv "$(DEPDIR)/construo_glut-construo_main.Tpo" "$(DEPDIR)/construo_glut-construo_main.Po"; \
	else rm -f "$(DEPDIR)/construo_glut-construo_main.Tpo"; exit 1; \
	fi
#	source='construo_main.cxx' object='construo_glut-construo_main.obj' libtool=no \
#	depfile='$(DEPDIR)/construo_glut-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_glut-construo_main.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`

construo_glut-glut_display.o: glut_display.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-glut_display.o -MD -MP -MF "$(DEPDIR)/construo_glut-glut_display.Tpo" \
	  -c -o construo_glut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx; \
	then mv "$(DEPDIR)/construo_glut-glut_display.Tpo" "$(DEPDIR)/construo_glut-glut_display.Po"; \
	else rm -f "$(DEPDIR)/construo_glut-glut_display.Tpo"; exit 1; \
	fi
#	source='glut_display.cxx' object='construo_glut-glut_display.o' libtool=no \
#	depfile='$(DEPDIR)/construo_glut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_glut-glut_display.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-glut_display.o `test -f 'glut_display.cxx' || echo '$(srcdir)/'`glut_display.cxx

construo_glut-glut_display.obj: glut_display.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -MT construo_glut-glut_display.obj -MD -MP -MF "$(DEPDIR)/construo_glut-glut_display.Tpo" \
	  -c -o construo_glut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`; \
	then mv "$(DEPDIR)/construo_glut-glut_display.Tpo" "$(DEPDIR)/construo_glut-glut_display.Po"; \
	else rm -f "$(DEPDIR)/construo_glut-glut_display.Tpo"; exit 1; \
	fi
#	source='glut_display.cxx' object='construo_glut-glut_display.obj' libtool=no \
#	depfile='$(DEPDIR)/construo_glut-glut_display.Po' tmpdepfile='$(DEPDIR)/construo_glut-glut_display.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_glut_CXXFLAGS) $(CXXFLAGS) -c -o construo_glut-glut_display.obj `if test -f 'glut_display.cxx'; then $(CYGPATH_W) 'glut_display.cxx'; else $(CYGPATH_W) '$(srcdir)/glut_display.cxx'; fi`

construo_x11-construo_main.o: construo_main.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-construo_main.o -MD -MP -MF "$(DEPDIR)/construo_x11-construo_main.Tpo" \
	  -c -o construo_x11-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx; \
	then mv "$(DEPDIR)/construo_x11-construo_main.Tpo" "$(DEPDIR)/construo_x11-construo_main.Po"; \
	else rm -f "$(DEPDIR)/construo_x11-construo_main.Tpo"; exit 1; \
	fi
#	source='construo_main.cxx' object='construo_x11-construo_main.o' libtool=no \
#	depfile='$(DEPDIR)/construo_x11-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_x11-construo_main.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-construo_main.o `test -f 'construo_main.cxx' || echo '$(srcdir)/'`construo_main.cxx

construo_x11-construo_main.obj: construo_main.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-construo_main.obj -MD -MP -MF "$(DEPDIR)/construo_x11-construo_main.Tpo" \
	  -c -o construo_x11-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`; \
	then mv "$(DEPDIR)/construo_x11-construo_main.Tpo" "$(DEPDIR)/construo_x11-construo_main.Po"; \
	else rm -f "$(DEPDIR)/construo_x11-construo_main.Tpo"; exit 1; \
	fi
#	source='construo_main.cxx' object='construo_x11-construo_main.obj' libtool=no \
#	depfile='$(DEPDIR)/construo_x11-construo_main.Po' tmpdepfile='$(DEPDIR)/construo_x11-construo_main.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-construo_main.obj `if test -f 'construo_main.cxx'; then $(CYGPATH_W) 'construo_main.cxx'; else $(CYGPATH_W) '$(srcdir)/construo_main.cxx'; fi`

construo_x11-x11_display.o: x11_display.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-x11_display.o -MD -MP -MF "$(DEPDIR)/construo_x11-x11_display.Tpo" \
	  -c -o construo_x11-x11_display.o `test -f 'x11_display.cxx' || echo '$(srcdir)/'`x11_display.cxx; \
	then mv "$(DEPDIR)/construo_x11-x11_display.Tpo" "$(DEPDIR)/construo_x11-x11_display.Po"; \
	else rm -f "$(DEPDIR)/construo_x11-x11_display.Tpo"; exit 1; \
	fi
#	source='x11_display.cxx' object='construo_x11-x11_display.o' libtool=no \
#	depfile='$(DEPDIR)/construo_x11-x11_display.Po' tmpdepfile='$(DEPDIR)/construo_x11-x11_display.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-x11_display.o `test -f 'x11_display.cxx' || echo '$(srcdir)/'`x11_display.cxx

construo_x11-x11_display.obj: x11_display.cxx
	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -MT construo_x11-x11_display.obj -MD -MP -MF "$(DEPDIR)/construo_x11-x11_display.Tpo" \
	  -c -o construo_x11-x11_display.obj `if test -f 'x11_display.cxx'; then $(CYGPATH_W) 'x11_display.cxx'; else $(CYGPATH_W) '$(srcdir)/x11_display.cxx'; fi`; \
	then mv "$(DEPDIR)/construo_x11-x11_display.Tpo" "$(DEPDIR)/construo_x11-x11_display.Po"; \
	else rm -f "$(DEPDIR)/construo_x11-x11_display.Tpo"; exit 1; \
	fi
#	source='x11_display.cxx' object='construo_x11-x11_display.obj' libtool=no \
#	depfile='$(DEPDIR)/construo_x11-x11_display.Po' tmpdepfile='$(DEPDIR)/construo_x11-x11_display.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(construo_x11_CXXFLAGS) $(CXXFLAGS) -c -o construo_x11-x11_display.obj `if test -f 'x11_display.cxx'; then $(CYGPATH_W) 'x11_display.cxx'; else $(CYGPATH_W) '$(srcdir)/x11_display.cxx'; fi`
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
distdir = $(PACKAGE)-$(VERSION)

am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }

GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkinstalldirs) $(distdir)/compatlib
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r $(distdir)
dist-gzip: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist dist-all: distdir
	$(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	$(am__remove_distdir)
	GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && cd $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && $(mkinstalldirs) "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
	  && rm -f $(distdir).tar.gz \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
	$(am__remove_distdir)
	@echo "$(distdir).tar.gz is ready for distribution" | \
	  sed 'h;s/./=/g;p;x;p;x'
distuninstallcheck:
	cd $(distuninstallcheck_dir) \
	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: check-recursive
all-am: Makefile $(LIBRARIES) $(PROGRAMS) config.h
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(bindir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-binPROGRAMS clean-generic clean-noinstLIBRARIES \
	mostlyclean-am

distclean: distclean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-hdr distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am:

install-exec-am: install-binPROGRAMS

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf autom4te.cache
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic clean-noinstLIBRARIES \
	clean-recursive ctags ctags-recursive dist dist-all dist-gzip \
	distcheck distclean distclean-compile distclean-depend \
	distclean-generic distclean-hdr distclean-recursive \
	distclean-tags distcleancheck distdir distuninstallcheck dvi \
	dvi-am dvi-recursive info info-am info-recursive install \
	install-am install-binPROGRAMS install-data install-data-am \
	install-data-recursive install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-man install-recursive \
	install-strip installcheck installcheck-am installdirs \
	installdirs-am installdirs-recursive maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-recursive \
	pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
	tags-recursive uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-info-am uninstall-info-recursive uninstall-recursive


# EOF #
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
